[原]nginx在Slackware 11.0下的编译安装

configure就不说了,make的时候提示:
objs/src/event/ngx_event.o(.text+0xdbc): In function ngx_event_init_conf':src/event/ngx_event.c:1140: warning: warning: epoll_create is not implemented and will always fail
objs/src/event/modules/ngx_epoll_module.o(.text+0x1cc): In function
ngx_epoll_add_event’:src/event/modules/ngx_epoll_module.c:250: warning: warning: epoll_ctl is not implemented and will always fail
objs/src/event/modules/ngx_epoll_module.o(.text+0x416): In function `ngx_epoll_process_events’:src/event/modules/ngx_epoll_module.c:402: warning: warning: epoll_wait is not implemented and will always fail

epoll是高性能网络io,居然不被系统支持,我明明用的是2.6.17的内核。于是make menuconfig,到 General setup / Configure standard kernel features 发现’Enable event poll’ 是关闭的,于是启用。

然后重新编译内核:

话说,Slackware 12.0都出来几个月了,改天我要去装一下。^_^

[原]nginx在Slackware 11.0下的编译安装》有1个想法

发表评论